%define name libtermcap
%define version 2.0.8
%define release 19mdk


Summary: A basic system library for accessing the termcap database.
Name: %{name}
Version: %{version}
Release: %{release}
Source: termcap-%{version}.tar.bz2
Url: ftp://metalab.unc.edu/pub/Linux/GCC/
Copyright: LGPL
Group: System/Libraries
Patch0: termcap-2.0.8-shared.patch.bz2
Patch1: termcap-2.0.8-setuid.patch.bz2
Patch2: termcap-2.0.8-instnoroot.patch.bz2
Patch3: termcap-2.0.8-compat21.patch.bz2
Patch4: termcap-2.0.8-xref.patch.bz2
Patch5: termcap-2.0.8-fix-tc.patch.bz2
Patch6: termcap-2.0.8-ignore-p.patch.bz2
Patch7: termcap-buffer.patch.bz2
# This patch is a REALLY BAD IDEA without patch #10 below....
Patch8: termcap-2.0.8-bufsize.patch.bz2
Patch9: termcap-2.0.8-colon.patch.bz2
Patch10: libtermcap-aaargh.patch.bz2
Requires: /etc/termcap
BuildRoot: /var/tmp/%{name}-root

%description
The libtermcap package contains a basic system library needed to access
the termcap database.  The termcap library supports easy access to the
termcap database, so that programs can output character-based displays in
a terminal-independent manner.

%package devel
Summary: Development tools for programs which will access the termcap database.
Group: Development/C
Requires: libtermcap

%description devel
This package includes the libraries and header files necessary for
developing programs which will access the termcap database.

If you need to develop programs which will access the termcap database,
you'll need to install this package.  You'll also need to install the
libtermcap package.

%prep
%setup -q -n termcap-2.0.8
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .nochown
%patch3 -p1 -b .compat21
%patch4 -p1
%patch5 -p1 -b .fix-tc
%patch6 -p1 -b .ignore-p
%patch7 -p1 -b .buffer
%patch8 -p1 -b .bufsize
%patch9 -p1 -b .colon
%patch10 -p1 -b .aaargh

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/lib,%{_infodir},usr/include,etc,lib}

export PATH=/sbin:$PATH
make prefix=$RPM_BUILD_ROOT/usr install

install -m644 termcap.src $RPM_BUILD_ROOT/etc/termcap
cp termcap.info* $RPM_BUILD_ROOT%{_infodir}

( cd $RPM_BUILD_ROOT
  rm -f ./etc/termcap
  mv ./usr/lib/libtermcap.so* ./lib
  ln -sf libtermcap.so.2.0.8 ./lib/libtermcap.so
  ln -sf libtermcap.so.2.0.8 ./lib/libtermcap.so.2
  ln -sf ../../lib/libtermcap.so.2.0.8 ./usr/lib/libtermcap.so
  bzip2 -9f .%{_infodir}/termcap.info*
  chmod 644 .%{_infodir}/termcap.info*
)

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
/sbin/install-info \
	--section="Libraries" --entry="* Termcap: (termcap).               The GNU termcap library." \
	--info-dir=%{_infodir} %{_infodir}/termcap.info.bz2

%postun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete \
	--section="Libraries" --entry="* Termcap: (termcap).               The GNU termcap library." \
	--info-dir=%{_infodir} %{_infodir}/termcap.info.bz2
fi

%files
%defattr(-,root,root)
%doc ChangeLog README
/lib/libtermcap*so*

%files devel
%defattr(-,root,root)
%{_infodir}/termcap.info*
/usr/lib/libtermcap.a
/usr/lib/libtermcap.so
/usr/include/termcap.h

%changelog
* Thu Aug 31 2000 Etienne Faure <etienne@mandrakesoft.com> 2.0.8-19mdk
- rebuild with %doc and _infodir macros

* Tue Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.8-18mdk
- fix group

* Sat Mar  4 2000 Pixel <pixel@mandrakesoft.com> 2.0.8-17mdk
- moved the info to libtermcap-devel
(that way libtermcap doesn't require bash which require libtermcap ;-)
- %trigger transformed in %post

* Mon Dec 20 1999 Jerome Martin <jerome@mandrakesoft.com>
- Rebuild for ne environment

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- RH merges.
- ignore the first argument to tgetent, so the last change doesn't
  keep blowing up programs.(r)
- ignore the second argument to tgetstr() as well.(r)
- increase default size of malloc'ed tgetent buffer from 1024 to 1536.(r)
- don't shrink colons (r).
- add buffer overflow patch from Kevin Vajk <kvajk@ricochet.net>(r)
- permit multiple tc= continuations and ignore unnecessary %p ("push arg") (r)
- fix to make the texi documenattion compile(r)
- use __PMT(...) prototypes (r)

* Wed Apr 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add files /lib/libtermcap.so.2

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- add patch to for the termcap.texi with a wrong reference.
- Remove typo with bzip2.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Thu Jan 14 1999 Jeff Johnson <jbj@redhat.com>
- use __PMT(...) prototypes (#761)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed Aug 05 1998 Erik Troan <ewt@redhat.com>
- run install-info from a %trigger so we don't have to make it a prereq; as
  termcap is used by bash, the install ordering issues are hairy
- commented out the chown stuff from 'make install' so you don't have to
  be root to build this
- don't run ldconfig if prefix= is used during 'make install'

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root.

* Tue Jun 30 1998 Alan Cox <alan@redhat.com>
- But assume system termcap is sane. Also handle setfsuid return right.

* Tue Jun 30 1998 Alan Cox <alan@redhat.com>
- TERMCAP environment hole for setuid apps squished.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
